# List payment methods

Retrieve a list of payment methods associated with a Moov account. Read our [payment methods guide](https://docs.moov.io/guides/money-movement/payment-methods/) to learn more.

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/) you'll need to specify the `/accounts/{accountID}/payment-methods.read` scope.

GET

/accounts/{accountID}/payment-methods

Ask

```shell
curl -X GET "https://api.moov.io/accounts/{accountID}/payment-methods" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"
```

Ask

```go
mc, _ := moov.NewClient()

var accountID string

mc.ListPaymentMethods(ctx, accountID)
```

Ask

```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.paymentMethods.list({
    accountID: "f5503781-dfe4-4bcd-9487-5b5fe2b4d53b",
  });

console.log(result);
}

run();
```

Ask

```php
declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$response = $sdk->paymentMethods->list(
    accountID: 'f5503781-dfe4-4bcd-9487-5b5fe2b4d53b'
);

if ($response->paymentMethods !== null) {
    // handle response
}
```

Ask

```java
package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.ListPaymentMethodsResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

ListPaymentMethodsResponse res = sdk.paymentMethods().list()
                .accountID("f5503781-dfe4-4bcd-9487-5b5fe2b4d53b")
                .call();

if (res.paymentMethods().isPresent()) {
            System.out.println(res.paymentMethods().get());
        }
    }
}
```

Ask

```python
from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.payment_methods.list(account_id="f5503781-dfe4-4bcd-9487-5b5fe2b4d53b")

# Handle response
    print(res)
```

Ask

```ruby
require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.payment_methods.list(account_id: 'f5503781-dfe4-4bcd-9487-5b5fe2b4d53b')

unless res.payment_methods.nil?
  # handle response
end
```

Ask

```csharp
using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.PaymentMethods.ListAsync(accountID: "f5503781-dfe4-4bcd-9487-5b5fe2b4d53b");

// handle response
```

### Response headers

A unique identifier used to trace requests.

The request contained missing or expired authentication.

### Response headers

A unique identifier used to trace requests.

The user is not authorized to make the request.

### Response headers

A unique identifier used to trace requests.

Request was refused due to rate limiting.

### Response headers

A unique identifier used to trace requests.

The request failed due to an unexpected error.

### Response headers

A unique identifier used to trace requests.

The request failed because a downstream service failed to respond.

### Response headers

A unique identifier used to trace requests.

Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.

### Possible values:

`v2026.07.00`

Optional parameter to filter the account's payment methods by source ID.

A source ID can be a [walletID](https://docs.moov.io/api/sources/wallets/list/), [cardID](https://docs.moov.io/api/sources/cards/list/), or [bankAccountID](https://docs.moov.io/api/sources/bank-accounts/list/).

Optional parameter to filter the account's payment methods by payment method type.

### Possible values:

`moov-wallet`, `ach-debit-fund`, `ach-debit-collect`, `ach-credit-standard`, `ach-credit-same-day`, `rtp-credit`, `card-payment`, `push-to-card`, `pull-from-card`, `apple-pay`, `card-present-payment`, `instant-bank-credit`, `push-to-apple-pay`, `pull-from-apple-pay`, `google-pay`, `push-to-google-pay`, `pull-from-google-pay`

### Example

```json
[\
  {\
    "paymentMethodID": "string",\
    "paymentMethodType": "moov-wallet",\
    "wallet": {\
      "walletID": "string",\
      "partnerAccountID": "string",\
      "walletType": "default"\
    }\
  }\
]
```

### Additional Attributes

"ID of the payment method."

Possible values include:
- `moov-wallet`
- `ach-debit-fund`
- `ach-debit-collect`
- etc.

### Payment Method Attributes

- `wallet`: Wallet information.
- `credential`: Card or bank account associated with the payment method.
